
import 'dart:async';

import 'package:flutter/services.dart';
import 'dart:ffi'; // For FFI
import 'dart:io'; // For Platform.isX

final DynamicLibrary nativeAddLib = Platform.isAndroid
    ? DynamicLibrary.open("libflutter_bean_plugin.so")
    : DynamicLibrary.process();

typedef gettest_func = Int32 Function(Int32 x,Int32 y);
typedef Gettest = int Function(int x, int y);
final gettestPointer = nativeAddLib.lookup<NativeFunction<gettest_func>>('getbacktest');
final gettest = gettestPointer.asFunction<Gettest>();
class FlutterBeanPlugin {
  static const MethodChannel _channel =
      const MethodChannel('flutter_bean_plugin');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }
}
